import request from '@/utils/request'

// 新增供应商
export function supplierAdd(data) {
    return request({
        url: '/shop/supplier/add',
        method: 'post',
        data
    })
}
// 修改供应商
export function supplierEdit(data) {
    return request({
        url: '/shop/supplier/edit',
        method: 'post',
        data
    })
}
// 查询供应商列表
export function supplierPage(query) {
    return request({
        url: '/shop/supplier/page',
        method: 'get',
        params: query
    })
}

// 查询供应商列表（下拉框用）
export function supplierList(query) {
    return request({
        url: '/shop/supplier/list',
        method: 'get',
        params: query
    })
}

// 获取供应商详细信息
export function supplierInfo(id) {
    return request({
        url: `/shop/supplier/info/${id}`,
        method: 'get',
    })
}
// 删除供应商
export function supplierDel(id) {
    return request({
        url: `/shop/supplier/del/${id}`,
        method: 'post',
    })
}